Ruby: internal/compile.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Functions
compile.h File Reference

Internal header for the compiler. More...

`#include "ruby/internal/config.h"`
`#include <stddef.h>`
`#include "ruby/ruby.h"`

Go to the source code of this file.

## Functions
int | rb_dvar_defined (ID, const struct rb_iseq_struct *)
int | rb_local_defined (ID, const struct rb_iseq_struct *)
const char * | rb_insns_name (int i)
VALUE | rb_insns_name_array (void)
int | rb_vm_insn_addr2insn (const void *)
rb_event_flag_t | rb_iseq_event_flags (const struct rb_iseq_struct *iseq, size_t pos)

## Detailed Description

Internal header for the compiler.

Author
  Ruby developers ruby-.nosp@m.core.nosp@m.@ruby.nosp@m.-lan.nosp@m.g.org

Copyright
  This file is a part of the programming language Ruby. Permission is hereby granted, to either redistribute and/or modify this file, provided that the conditions mentioned in the file COPYING are met. Consult the file for details.

Definition in file compile.h.

## Function Documentation

## ◆ rb_dvar_defined()

int rb_dvar_defined | ( | ID | ,
|  | const struct rb_iseq_struct * |
| ) |  |

## ◆ rb_insns_name()

const char * rb_insns_name | ( | int | i | ) |

Definition at line 9172 of file compile.c.

Referenced by MAYBE_UNUSED().

## ◆ rb_insns_name_array()

VALUE rb_insns_name_array | ( | void |  | ) |

Definition at line 9178 of file compile.c.

References rb_ary_new_capa(), rb_ary_push(), rb_fstring_cstr, and rb_obj_freeze().

Referenced by Init_VM().

## ◆ rb_iseq_event_flags()

rb_event_flag_t rb_iseq_event_flags | ( | const struct rb_iseq_struct * | iseq,
|  | size_t | pos
| ) |  |

## ◆ rb_local_defined()

int rb_local_defined | ( | ID | ,
|  | const struct rb_iseq_struct * |
| ) |  |

## ◆ rb_vm_insn_addr2insn()

int rb_vm_insn_addr2insn | ( | const void * | addr | ) |

Definition at line 3172 of file iseq.c.

References insn_data_struct::insn, key, rb_bug(), and st_lookup.

Referenced by rb_iseq_original_iseq().